Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356956 - RHEV 3.6.7 rhevm-shell doesn't work when specifying parameters (eg name/id)
Summary: RHEV 3.6.7 rhevm-shell doesn't work when specifying parameters (eg name/id)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-cli
Version: 3.6.7
Hardware: All
OS: All
medium
medium
Target Milestone: ---
: ---
Assignee: Juan Hernández
QA Contact: Pavel Stehlik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-15 11:20 UTC by Alexandros Gkesos
Modified: 2017-03-19 16:00 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-20 08:26:32 UTC
oVirt Team: Infra


Attachments (Terms of Use)

Description Alexandros Gkesos 2016-07-15 11:20:42 UTC
Description of problem:

As described here:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.6/html-single/RHEVM_Shell_Guide/index.html#ovirt-shell_Interacting_with_the_CLI


[RHEVM shell (connected)]# list vms

id         : 09746170-a035-46b4-86dc-e8aeb3c3e1d6
name       : testVM

id         : ddc35fd2-7309-4f7c-8109-eae23727a595
name       : testVM2

[RHEVM shell (connected)]# show vm testVM

id                           : 09746170-a035-46b4-86dc-e8aeb3c3e1d6
name                         : testVM
...
...
...

[RHEVM shell (connected)]# show vm --name testVM

  =========================================================================================================================================================== ERROR =========================================================================================================================================================
                                                                                                                                                vm identifier or name required.
  ===========================================================================================================================================================================================================================================================================================================================


The same happens with other resources:

[RHEVM shell (connected)]# show host rhel7

id                                               : 5a9f2318-4843-46ea-baae-0aaa4eed420d
name                                             : rhel7
...
...

[RHEVM shell (connected)]# show host 
all_content  id           name         
[RHEVM shell (connected)]# show host --name rhel7

  =========================================================================================================================================================== ERROR =========================================================================================================================================================
                                                                                                                                               host identifier or name required.
  ===========================================================================================================================================================================================================================================================================================================================

[RHEVM shell (connected)]# 



Version-Release number of selected component (if applicable):
RHEV-M 3.6.7
rhevm-cli-3.6.2.0-1.el6ev.noarch

How reproducible:
100%


Expected results:
as in:
rhevm-3.5.8-0.1.el6ev.noarch
rhevm-cli-3.5.0.6-1.el6ev.noarch

    [RHEVM shell (connected)]# show vm --name vm1
     
    id                           : f8b72419-0a5f-422a-b43a-300aa87c7a9b
    name                         : vm1
    ...
    ...

     
    [RHEVM shell (connected)]# show vm vm1
     
    id                           : f8b72419-0a5f-422a-b43a-300aa87c7a9b
    name                         : vm1
    ...
    ...
     
    [RHEVM shell (connected)]#


Note You need to log in before you can comment on or make changes to this bug.